EZ_DnDGetMatchedConversionTargets(3)

NAME
EZ_DnDGetMatchedConversionTargets - return the lists of targets the both the drag-source and the drop-site convert

SYNOPSIS
#include <EZ.h>

void  EZ_DnDGetMatchedConversionTargets(Atom **targets_ret, int **ntargets_return
                                     int   *modifier_return)

ARGUMENTS
targets_return returns the array of targets.

ntargets_return returns the number of entries in target_return.

modfier_return returns the modifier masks for the current DnD session.

DESCRIPTION

EZ_DnDGetMatchedConversionTargets returns the list of targets the both the drag-source and the drop-site convert. The list of matched targets is available only after a drag is droped at a valid drop site.

If DnD is not currently active, the returned values are random.

This procedure is intended for to be used by Drag-Start-Filters and Drop-Start-Filters to select best conversion targets.

SEE ALSO
EZ_GetDnDDropLocation(3), EZ_DnDGetDragConversionTargets(3)